lepton-symcheck(1)

NAME
lepton-symcheck - Lepton EDA Symbol Checker

SYNOPSIS
lepton-symcheck [OPTION ...] FILE ...

DESCRIPTION

lepton-symcheck is a symbol checker for Lepton EDA. It checks one or more symbol FILEs passed on the command line. Here is a list of checks that lepton-symcheck performs:

•   Checks for graphical attribute (if present does varied tests)

•   Checks for the device attribute

•   Checks for various other missing attributes (pinlabel, pintype, pinseq, footprint, refdes)

•   Checks to make sure that the active pin end is on the 100 unit grid.

•   Checks the uses of the various attributes (duplicates, incorrect syntax, invalid values, etc...)

•   Checks for obsolete, old, and forbidden attributes

•   Checks for any nets or buses within a symbol

•   Checks for any other connections within a symbol

•   Checks to make sure the number of pins is the correct number

OPTIONS
lepton-symcheck accepts the following options:

-q, --quiet
    Quiet mode on. This mode turns off all warnings/notes/messages.

-v, --verbose
    Verbose mode 1. This mode will show all error messages.

-vv Verbose mode 2. This mode will show all error and warning messages.

-vvv
    Verbose mode 3. This mode will show all error, warning, and info messages.

-V, --version
    Print version information.

-h, --help
    Print a help message.

EXAMPLES
Here are some examples on how to run lepton-symcheck: To get usage information run:
    lepton-symcheck --help
To actually check a symbol with just error counts, run:
    lepton-symcheck symbolfilename.sym
To get the actuall error messages, run:
    lepton-symcheck -v symbolfilename.sym
To see all the error messages and warnings, run:
    lepton-symcheck -vv symbolfilename.sym
To see all the error messages, warnings, and parse info, run:
    lepton-symcheck -vvv symbolfilename.sym

AUTHORS
See the `AUTHORS' file included with this program.

COPYRIGHT
Copyright © 2012-2017 gEDA Contributors.
Copyright © 2017-2022 Lepton Developers.
License GPLv2+: GNU GPL version 2 or later. Please see the `COPYING'
file included with this program for full details.

This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
lepton-schematic(1), lepton-netlist(1)